<?php

namespace HCM\FPA\Repository;

use Doctrine\ORM\EntityManager;
use HCM\Util\Util;

class FeriasRepository {

    protected  $connection;
    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    /**
     * @return array
     */

    public function getAprovaFerias($parameters, $filters) {
        Util::getValueInFilterDataSourceByName($filters, array('NRVINCULOM'), true);
        $conditions = Util::createQueryFiltered($filters);
        
      if(array_key_exists('NRESTRUTLEGAL', $parameters)) {

          $condEstrutLegal = "AND VH.NRESTRUTLEGAL IN (" . implode(",",$parameters['NRESTRUTLEGAL']) . ")";
      } else {
        $condEstrutLegal = "";
      }
      
      if(array_key_exists('NRVINCULOM', $parameters)) {

          $condVinculo = " AND VM.NRVINCULOM IN (" . str_replace("%", "",$parameters['NRVINCULOM']) . ") ";
      } else {
        $condVinculo = "";
      }

      if(array_key_exists('NRESTRUTGEREN', $parameters)) {

          $condEstrutGeren = "AND VH.NRESTRUTGEREN IN (" . implode(",",$parameters['NRESTRUTGEREN']) . ")";
      } else {
        $condEstrutGeren = "";
      }

 
      if(array_key_exists('QTDEDIASRESTANTE', $parameters)) {
          $condDtreflimite = "TO_DATE('".$parameters['QTDEDIASRESTANTE']."', 'DD/MM/YYYY')";
      } else {
          $condDtreflimite = "LAST_DAY(TO_DATE('".$parameters['P_DTMESCOMPETENC']."', 'DD/MM/YYYY'))";
      }
      
      $sql = "
         SELECT * FROM   
            (SELECT
               FE.NRFERIAS,
               VM.NRVINCULOM,
               VM.CDMATRICULA,
               VM.NMVINCULOM,
               EML.NRESTRUTURAM NRESTRUTLEGAL,
               EHL.NMRAZSOCESTRUT NMESTRUTLEGAL,
               EMG.NRESTRUTURAM NRESTRUTGEREN,
               EHG.NMRAZSOCESTRUT NMESTRUTGEREN,
               FE.IDCONTROLFERIAS,
               FE.DTINIAQUISICAO,
               FE.DTFIMAQUISICAO,
               FE.DTINIPREVISAO,
               FE.QTDIASPREVISAO,
               FE.DTFINPREVISAO,
               FE.QTABONOPREVISAO,
               FE.DTINIPREVISAO2,
               FE.QTDIASPREVISAO2,
               FE.DTFINPREVISAO2,
               FE.QTABONOPREVISAO2,
               FE.DTINIPREVISAO3,
               FE.QTDIASPREVISAO3,
               FE.DTFINPREVISAO3,
               FE.QTABONOPREVISAO3,
               NVL(FE.QTDIASMAXFE, T.QTDIASMAXFE) - NVL( SUM(1 + (GZ.DTFIMGOZOFERIAS) - (GZ.DTINIGOZOFERIAS)) OVER (PARTITION BY FE.NRVINCULOM, FE.DTINIAQUISICAO), 0 ) - NVL(GZ.QTDIASABONOFERI, 0) DIAS_RESTANTE_GOZO,
               TO_DATE(TO_CHAR(ADD_MONTHS(FE.DTINIAQUISICAO, 23) - 1, 'DD/MM/YYYY'), 'DD/MM/YYYY') AS DTLIMITE ,
               
               (SELECT
                  (CASE
                     WHEN (FE.DTFIMAQUISICAO > TO_DATE(:P_COMPETENCIA, 'DD/MM/YYYY'))
               		  THEN
               			ROUND(FLOOR(MONTHS_BETWEEN($condDtreflimite, FE.DTINIAQUISICAO))*
               			(CASE FE.NRTIPOFERIAS
               				WHEN 1 THEN 2.5
               				WHEN 2 THEN 2.5
               				WHEN 3 THEN 1.5
               				WHEN 4 THEN 1.3333333333333
               				WHEN 5 THEN 1.1666666666667
               				WHEN 6 THEN 1
               				WHEN 7 THEN 0.8333333333333
               				WHEN 8 THEN 0.6666666666666
               				ELSE 2.5
               			END))
               		  ELSE NVL(FE.QTDIASMAXFE, T.QTDIASMAXFE)
                  END
                  - NVL(SUM((G.DTFIMGOZOFERIAS - G.DTINIGOZOFERIAS) + 1 + NVL(G.QTDIASABONOFERI, 0)),0))
                    FROM FPA_TIPOFERIASH T
                    LEFT JOIN FPA_GOZOFERIAS G  ON G.NRORG = VM.NRORG
               								AND G.NRFERIAS = FE.NRFERIAS
                   WHERE (T.NRORG = 0 OR T.NRORG = FE.NRORG)
               	  AND T.NRTIPOFERIAS = FE.NRTIPOFERIAS
                   GROUP BY T.QTDIASMAXFE) QTDEDIASRESTANTE
    
            FROM
               GPE_VINCULOM VM 
               JOIN
                  GPE_VINCULOH VH 
                  ON VH.NRORG = VM.NRORG 
                  AND VH.NRVINCULOM = VM.NRVINCULOM 
                  AND VH.DTMESCOMPETENC = 
                  (
                     SELECT
                        MAX(DTMESCOMPETENC) 
                     FROM
                        GPE_VINCULOH 
                     WHERE
                        DTMESCOMPETENC <= :P_COMPETENCIA 
                        AND NRORG = VM.NRORG 
                        AND NRVINCULOM = VM.NRVINCULOM 
                  )
                  /*Estrutura Legal*/
               LEFT JOIN
                  ESTRUTURAM EML 
                  ON EML.NRORG = VM.NRORG 
                  AND EML.NRESTRUTURAM = VH.NRESTRUTLEGAL 
               LEFT JOIN
                  ESTRUTURAH EHL 
                  ON EHL.NRORG = VM.NRORG 
                  AND EHL.NRESTRUTURAM = EML.NRESTRUTURAM 
                  AND EHL.DTMESCOMPETENC = 
                  (
                     SELECT
                        MAX(DTMESCOMPETENC) 
                     FROM
                        ESTRUTURAH 
                     WHERE
                        DTMESCOMPETENC <= :P_COMPETENCIA 
                        AND NRORG = VM.NRORG 
                        AND NRESTRUTURAM = EML.NRESTRUTURAM 
                  )
                  /*Estrutura Gerencial*/
               LEFT JOIN
                  ESTRUTURAM EMG 
                  ON EMG.NRORG = VM.NRORG 
                  AND EMG.NRESTRUTURAM = VH.NRESTRUTGEREN 
               LEFT JOIN
                  ESTRUTURAH EHG 
                  ON EHG.NRORG = VM.NRORG 
                  AND EHG.NRESTRUTURAM = EMG.NRESTRUTURAM 
                  AND EHG.DTMESCOMPETENC = 
                  (
                     SELECT
                        MAX(DTMESCOMPETENC) 
                     FROM
                        ESTRUTURAH 
                     WHERE
                        DTMESCOMPETENC <= :P_COMPETENCIA 
                        AND NRORG = VM.NRORG 
                        AND NRESTRUTURAM = EMG.NRESTRUTURAM 
                  )
                  /*Férias*/
               JOIN
                  FPA_FERIAS FE 
                  ON FE.NRORG = VM.NRORG 
                  AND FE.NRVINCULOM = VM.NRVINCULOM 
                  AND FE.IDCONTROLFERIAS IN 
                  (
                     'GOZADO_PARCIAL',
                     'ADQUIRIDO',
                     'ABERTO' 
                  )
               JOIN
                  FPA_TIPOFERIASH T 
                  ON (T.NRORG = 0 
                  OR T.NRORG = FE.NRORG) 
                  AND T.NRTIPOFERIAS = FE.NRTIPOFERIAS 
               LEFT JOIN
                  FPA_GOZOFERIAS GZ 
                  ON GZ.NRORG = FE.NRORG 
                  AND GZ.NRFERIAS = FE.NRFERIAS 
                  AND GZ.DTINIGOZOFERIAS = 
                  (
                     SELECT
                        MAX(ULTGFF.DTINIGOZOFERIAS) 
                     FROM
                        FPA_GOZOFERIAS ULTGFF 
                     WHERE
                        ULTGFF.NRORG = GZ.NRORG 
                        AND ULTGFF.NRFERIAS = GZ.NRFERIAS 
                  )
            WHERE
               VM.NRORG = :P_NRORG
               AND (VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_COMPETENCIA)
               AND FE.DTINIPREVISAO IS NOT NULL
               $condEstrutLegal 
               $condEstrutGeren
               $condVinculo)
               WHERE 1=1
               $conditions
        ";
      $query = $this->entityManager->getConnection()->prepare($sql);
      $query->execute(
        array(
          "P_COMPETENCIA"  => $parameters['P_DTMESCOMPETENC'],
          "P_NRORG"        => $parameters['P_NRORG']
        )
      );
      return $query->fetchAll();
    }
}





