<?php
namespace HCM\FPA\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;

class GozoFeriasRepository {

    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection    = $connection;
        $this->entityManager = $entityManager;
    }
   
    public function retornaGozoFerias($nrorg, $nrvinculo){

       $query = 'SELECT * FROM FPA_GOZOFERIAS GF
				WHERE GF.NRORG = '.$nrorg.'
				AND GF.NRFERIAS IN (
				    SELECT F.NRFERIAS FROM FPA_FERIAS F
				    WHERE F.NRORG = GF.NRORG
				    AND F.NRVINCULOM = '.$nrvinculo.')';
        return $this->connection->fetchAll($query);
    }

    public function retornaFeriasEmAberto($nrorg, $nrvinculo, $dtmescompetenc){

        $query = <<<SQL
SELECT * FROM FPA_FERIAS
 WHERE NRORG = :P_NRORG
   AND NRVINCULOM = :P_NRVINCULOM
   AND DTINIAQUISICAO <= :P_DTMESCOMPETENC
   AND IDCONTROLFERIAS IN ('ABERTO', 'ADQUIRIDO', 'GOZADO_PARCIAL')
 ORDER BY IDCONTROLFERIAS DESC
SQL;

        $params = array(
            'P_NRORG' => $nrorg,
            'P_NRVINCULOM' => $nrvinculo,
            'P_DTMESCOMPETENC' => $dtmescompetenc
        );

        return $this->connection->fetchAll($query, $params);
    }
}