<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\Geral\Repository\EstadoRepository;

class EstadoService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, EstadoRepository $estadoRepository) {
        $this->entityManager  = $entityManager;
        $this->hcmParameters  = $hcmParameters;
        $this->estadoRepository = $estadoRepository;
    }
    
    public function validaRestricaoChavePrimaria($cdPais, $sgestado, $nmestado, $isNew){
        return $this->estadoRepository->validaRestricaoChavePrimaria($cdPais, $sgestado, $nmestado, $isNew);
    }

    public function validaExistenciaMunicipio($cdPais, $sgestado){
        return $this->estadoRepository->validaExistenciaMunicipio($cdPais, $sgestado);
    }
    
    public function validaCamposVaziosEstado(&$row){
        $row['DTULTATUESTA'] = $row['DTULTATU'];
        $row['IDATIVO'] = (!isset($row['IDATIVO']) || empty($row['IDATIVO'])) ? 'S' : $row['IDATIVO'];
        $row['IDUTHORVER'] = (!isset($row['IDUTHORVER']) || empty($row['IDUTHORVER'])) ? 'N' : $row['IDUTHORVER'];
        $row['HRDIFUTCFUSO'] = (!isset($row['HRDIFUTCFUSO']) || empty($row['HRDIFUTCFUSO'])) ? null : $row['HRDIFUTCFUSO'];
        $row['CDESTADOGMB'] = (!isset($row['CDESTADOGMB']) || empty($row['CDESTADOGMB'])) ? null : $row['CDESTADOGMB'];
    }
    
}