-- ============================================================
-- Table: GPE_CLASSESTRANG
-- ============================================================
CREATE TABLE GPE_CLASSESTRANG
(
	NRORG 			NUMBER			NOT NULL,
	NRCLASSESTRANG	NUMBER			NOT NULL,
	DSCLASSESTRANG	VARCHAR2(200)	NOT NULL,
	CDESOCIAL		VARCHAR2(2)		NOT NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_CLASSEST CHECK (IDATIVO IN ('N','S')),
	DTINCLUSAO		DATE			DEFAULT SYSDATE NOT NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL ,
	NRORGULTATU		NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1' NULL ,
	CONSTRAINT PK_GPE_CLASSESTRANG PRIMARY KEY (NRCLASSESTRANG)
)
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,1,'1','Visto permanente')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,2,'2','Visto temporario')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,3,'3','Asilado')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,4,'4','Refugiado')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,5,'5','Solicitante de Refugio')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,6,'6','Residente em pais fronteirico ao Brasil')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,7,'7','Deficiente fisico e com mais de 51 anos')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,8,'8','Com residencia provisoria e anistiado, em situacao irregular')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,9,'9','Permanencia no Brasil em razao de filhos ou conjuge brasileiros')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,10,'10','Beneficiado pelo acordo entre paises do Mercosul')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,11,'11','Dependente de agente diplomatico e/ou consular de paises que mantem convenio de reciprocidade para o exercicio de atividade remunerada no Brasil')
/
INSERT INTO GPE_CLASSESTRANG (NRORG, NRCLASSESTRANG, CDESOCIAL, DSCLASSESTRANG) VALUES (0,12,'12','Beneficiado pelo Tratado de Amizade, Cooperacao e Consulta entre a Republica Federativa do Brasil e a Republica Portuguesa')
/

-- ============================================================
-- Table: GPE_PESSOAH
-- ============================================================
ALTER TABLE GPE_PESSOAH ADD SGUFHABCARPES VARCHAR2(2)
/
ALTER TABLE GPE_PESSOAH ADD DSEXPDOCESTR VARCHAR2(30)
/
ALTER TABLE GPE_PESSOAH ADD NRCLASSESTRANG NUMBER
/
ALTER TABLE GPE_PESSOAH
	ADD CONSTRAINT FK_PESSH_CLASSESTR FOREIGN KEY (NRCLASSESTRANG)
		REFERENCES GPE_CLASSESTRANG (NRCLASSESTRANG)
/