-- ============================================================
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     03/08/2021  18:00                        
-- ============================================================
-----------------------------------
-- GPE_MODELOAPROVSOLI --
-----------------------------------
CREATE TABLE GPE_MODELOAPROVSOLI 
(
	NRMODELOAPROVSOLI NUMBER NOT NULL, 
	NMMODELOAPROVSOLI VARCHAR2(500) NOT NULL, 
	IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_MODAPRSOLIDATIVO CHECK (IDATIVO IN ('S','N')), 
	NRORG NUMBER NOT NULL, 
	DTINCLUSAO DATE NOT NULL, 
	DTULTATU DATE, 
	NRORGINCLUSAO NUMBER, 
	CDOPERINCLUSAO VARCHAR2(12), 
	NRORGULTATU NUMBER, 
	CDOPERULTATU VARCHAR2(12), 
	CONSTRAINT GPE_MODELOAPROVSOLI_PK PRIMARY KEY (NRORG, NRMODELOAPROVSOLI)
);

-----------------------------------
-- GPE_FASEAPROVSOLI --
-----------------------------------
CREATE TABLE GPE_FASEAPROVSOLI 
(
	NRFASEAPROVSOLI NUMBER NOT NULL, 
	NRMODELOAPROVSOLI NUMBER NOT NULL, 
	NMFASEAPROVSOLI VARCHAR2(300) NOT NULL, 
	NRORDEM NUMBER NOT NULL, 
	DSNRPERFILACESSO VARCHAR2(100) NOT NULL,
	IDFASEOBRIGATORIA VARCHAR2(1) NOT NULL
		CONSTRAINT CKC_IDFASEOBRIGATORIA CHECK (IDFASEOBRIGATORIA IN ('S','N')),
	IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_FASAPRSOLIDATIVO CHECK (IDATIVO IN ('S','N')), 
	NRORG NUMBER NOT NULL, 
	DTINCLUSAO DATE NOT NULL, 
	DTULTATU DATE, 
	NRORGINCLUSAO NUMBER, 
	CDOPERINCLUSAO VARCHAR2(12), 
	NRORGULTATU NUMBER, 
	CDOPERULTATU VARCHAR2(12), 
	CONSTRAINT GPE_FASEAPROVSOLI_PK PRIMARY KEY (NRORG, NRFASEAPROVSOLI)
);

ALTER TABLE GPE_FASEAPROVSOLI
	ADD CONSTRAINT GPE_MODFASAPROVSOLI_FK FOREIGN KEY (NRORG, NRMODELOAPROVSOLI)
		REFERENCES GPE_MODELOAPROVSOLI (NRORG, NRMODELOAPROVSOLI)
/

CREATE INDEX FK_309000_FK ON GPE_FASEAPROVSOLI (NRORG ASC, NRMODELOAPROVSOLI ASC)
/

-- ============================================================
-- Table: GPE_PERFACESTIPOSOLI
-- ============================================================
ALTER TABLE GPE_PERFACESTIPOSOLI MODIFY NRNIVELAPROVASOLI NULL
/

ALTER TABLE GPE_PERFACESTIPOSOLI ADD NRMODELOAPROVSOLI NUMBER NULL
/

ALTER TABLE GPE_PERFACESTIPOSOLI
	ADD CONSTRAINT GPE_MODPERFACESTS_FK FOREIGN KEY (NRORG, NRMODELOAPROVSOLI)
		REFERENCES GPE_MODELOAPROVSOLI (NRORG, NRMODELOAPROVSOLI)
/

CREATE INDEX FK_309001_FK ON GPE_PERFACESTIPOSOLI (NRORG ASC, NRMODELOAPROVSOLI ASC)
/

-----------------------------------
-- GPE_FASETRAMSOLI --
-----------------------------------
CREATE TABLE GPE_FASETRAMSOLI 
(
	NRFASETRAMSOLI NUMBER NOT NULL, 
	NRSOLICITACAO NUMBER NOT NULL,
	NRFASEAPROVSOLI NUMBER NOT NULL, 
	IDAPROVADO VARCHAR2(1) NOT NULL
		CONSTRAINT CKC_FASETRAMIDAPROVADO CHECK (IDAPROVADO IN ('S','N')),
	DSOBSERVACAO VARCHAR2(1000) NULL,
	NRORG NUMBER NOT NULL, 
	DTINCLUSAO DATE NOT NULL, 
	DTULTATU DATE, 
	NRORGINCLUSAO NUMBER NOT NULL, 
	CDOPERINCLUSAO VARCHAR2(12) NOT NULL, 
	NRORGULTATU NUMBER, 
	CDOPERULTATU VARCHAR2(12), 
	CONSTRAINT GPE_FASETRAMSOLI_PK PRIMARY KEY (NRORG, NRFASETRAMSOLI)
);

ALTER TABLE GPE_FASETRAMSOLI
	ADD CONSTRAINT GPE_SOLIFASETRAM_FK FOREIGN KEY (NRORG, NRSOLICITACAO)
		REFERENCES GPE_SOLICITACAO (NRORG, NRSOLICITACAO)
/

ALTER TABLE GPE_FASETRAMSOLI
	ADD CONSTRAINT GPE_FASEAPFASETR_FK FOREIGN KEY (NRORG, NRFASEAPROVSOLI)
		REFERENCES GPE_FASEAPROVSOLI (NRORG, NRFASEAPROVSOLI)
/

CREATE INDEX FK_309002_FK ON GPE_FASETRAMSOLI (NRORG ASC, NRSOLICITACAO ASC)
/
