<?php
namespace Fiscal\Logic\Encargo;
use \Geral\Entities\Encargo;
use Geral\Entities\Encargonfe;
use Geral\Util\Ambiente;
use Geral\Util\DateUtil;
use \Setforms2\Shared\Registry;
use Fiscal\Logic\Encargo\Exceptions\Excecao;

class ValidacaoEncargo{

    public static function validaEncargo($cdencargonfe, $cdencargo, $nrorg){
        try {
            /** @var $repository Encargo */
            $repository = Encargo::getRepository();
            $retorno = $repository->validarEncargo($cdencargo, $nrorg);

            if ($retorno != null) { //Caso já tenha o encargo cadastrado, exibe-se msg de erro e aborta a ação salvar
                tk_abort(Excecao::Encargo());
            }
            else {
                self::updateEncargo($cdencargonfe, $cdencargo, $nrorg);
            }
        } catch (\Exception $e) {
            throw $e;
        }

    }

    public static function updateEncargo($cdencargonfe, $cdencargo, $nrorg){
        /** @var $encargo Encargo */
        $encargo = Encargo::findOneByCdencargoAndNrorg($cdencargo, $nrorg);
        $encargo->setCdencargonfe($cdencargonfe);
        $encargo->persist();
        \Setforms2\Shared\Registry::getEntityManager()->flush();
    }

    public static function deletaEncargo($cdencargo, $nrorg){
        /** @var $encargo Encargo */
        $encargo = Encargo::findOneByCdencargoAndNrorg($cdencargo, $nrorg);
        $encargo->setCdencargonfe(null);
        $encargo->persist();
        \Setforms2\Shared\Registry::getEntityManager()->flush();
    }

    public static function adicionarEncargoNFE($encargosAdicionar){
        foreach ($encargosAdicionar as $i => $encargo) {
            $encargoNFE = new Encargonfe();
            $encargoNFE->setCdencargonfe($i);
            $encargoNFE->setNmencargonfe($encargo);
            $encargoNFE->setNrorg(Ambiente::getNrorg());
            $encargoNFE->setNrorginclusao(Ambiente::getNrorg());
            $encargoNFE->setNrorgultatu(Ambiente::getNrorg());
            $encargoNFE->setDtinclusao(DateUtil::getDataAtual());
            $encargoNFE->setDtultatu(DateUtil::getDataAtual());
            $encargoNFE->persist();

            Registry::getEntityManager()->flush();
        }
    }

    public static function verificarEncargosPadraoNFE($data){
        $array_encargos = array();
        foreach ($data as $encargo) {
            $array_encargos[$encargo['CDENCARGONFE']] = $encargo['NMENCARGONFE'];
        }

        $encargosPadraoNFE = array(
            '01' => 'Frete',
            '02' => 'Seguro',
            '03' => 'Descontos',
            '04' => 'Outras Despesas',
            '05' => 'Despesas Aduaneiras'
        );

        return array_diff_assoc($encargosPadraoNFE, $array_encargos);
    }

}





