<?php
namespace Relatione\Logic\Exception;

class ExceptionContato extends \Geral\Logic\Exception
{


    private $messageName;
    private $messageNameAcumulado;
    private $paramsAcumulado;


    public function __construct($messagemName, $param = null){
        parent::__construct($messagemName);
        $this->messageName = $messagemName;
        // $this->params = $param;
        $this->addParam($param);
    }

    /**
     * Retorna o nome da mensagem cadastrada no Setforms para esta excecao.
     *
     * @return string
     */
    public function getMessageName()
    {
        return $this->messageName;
    }

    /**
     * Retorna o parametro da mensagem para esta excecao.
     *
     * @return string
     */
    public function getParam()
    {
        return $this->getParams();
    }


    public function acumulaMensagem($NmMensagem, $params){
        $this->messageNameAcumulado = $NmMensagem;
        $this->paramsAcumulado = $params;
    }


    public static function erroRegistroNaoSelecionado(){
        throw new self('ron20000_registroNaoSelecionado');
    }


    public static function erroContatoConcluido(){
        throw new self('ron20000_contatoConcluido');
    }


    public static function erroContatoNaoIncluido(){
        throw new self('ron20000_contatoNaoIncluido');
    }


    public static function erroContatoSemParceiro(){
        throw new self('ron20000_contatoSemParceiro');
    }


}
