/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_INTC                                                     */
/* Tabela : INTECLIE                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_INTC'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_INTC
GO

CREATE TRIGGER DTULTATU_INTC
ON INTECLIE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'INTECLIE', null, 'CDCLIENTE='  + CDCLIENTE + ';'+
                                       'CDINTECLIE=' + CDINTECLIE+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE INTECLIE
      SET DTULTATUINTC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(INTECLIE.CDINTECLIE,0) = ISNULL(INSERTED.CDINTECLIE,0)) AND
            (ISNULL(INTECLIE.CDCLIENTE,0)  = ISNULL(INSERTED.CDCLIENTE,0))  AND
            (ISNULL(INTECLIE.NMINTECLIE,0) = ISNULL(INSERTED.NMINTECLIE,0));
   END;
END;
GO

