/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_TBMETOAVAL                                               */
/* Tabela : TBMETOAVAL                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_TBMETOAVAL'  and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
  DROP TRIGGER DTULTATU_TBMETOAVAL
  GO

CREATE TRIGGER DTULTATU_TBMETOAVAL
ON TBMETOAVAL
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'TBMETOAVAL', '', 'CDTBMETOAVAL='+CDTBMETOAVAL+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE TBMETOAVAL
      SET DTULTATUTBMA = GETDATE()
      FROM INSERTED
      WHERE
         (TBMETOAVAL.CDTBMETOAVAL = INSERTED.CDTBMETOAVAL)
   END;
END;
GO
