ALTER TABLE CTB_TEMP_CREDPRES ADD CDINSCMUNI   VARCHAR2(16)
/

ALTER TABLE CTB_TEMP_CREDPRES ADD NRSEQUMAPAPU VARCHAR2(10)
/ 
	
ALTER TABLE ARQMAPAAPURAUTO MODIFY NMARQUIVO VARCHAR(400)
/
 
CREATE TABLE RATEIOPADRAOFIS (
  CDRATEIOPADRAO     VARCHAR2(4)   NOT NULL,
  DSRATEIOPADRAO     VARCHAR2(100) NULL,
  IDRATEIOPADRAO     VARCHAR2(3)   DEFAULT 'SME' NOT NULL 
     CONSTRAINT CKC_IDRATEIOPADRAO_RATEIOPADRA CHECK ( IDRATEIOPADRAO IN ( 'ENT', 'SAI', 'SME' ) ),
  NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL
     CONSTRAINT CKC_IDATIVO_RATEIOPADRAOFIS CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO         DATE,
  DTULTATU           DATE,
  NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
  NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERULTATU       VARCHAR2(12),
  CONSTRAINT PK_RATEIOPADRAOFIS  PRIMARY KEY (CDRATEIOPADRAO)
)
/

CREATE TABLE RATFISTPOPERAC (
  IDENTRSAIDOP       VARCHAR2(1) DEFAULT 'S' NOT NULL
     CONSTRAINT CKC_IDENTRSAIDOP_RATFISTPOPERA CHECK (IDENTRSAIDOP IN ('E','S')),
  CDTIPOOPER         VARCHAR2(2) NOT NULL,
  CDRATEIOPADRAO     VARCHAR2(4) NOT NULL,
  NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_RATFISTPOPERAC CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO         DATE,
  DTULTATU           DATE,
  NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
  NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERULTATU       VARCHAR2(12),
 CONSTRAINT PK_RATFISTPOPERAC  PRIMARY KEY ( IDENTRSAIDOP, CDTIPOOPER, CDRATEIOPADRAO )
)
/

CREATE INDEX FIS00789_FK ON RATFISTPOPERAC ( IDENTRSAIDOP, CDTIPOOPER )
/

ALTER TABLE RATFISTPOPERAC
   ADD CONSTRAINT FKFIS00789TIPOOPERAC FOREIGN KEY (IDENTRSAIDOP, CDTIPOOPER)
      REFERENCES TIPOOPERAC ( IDENTRSAIDOP, CDTIPOOPER )
/	  

CREATE INDEX FIS00790_FK ON RATFISTPOPERAC ( CDRATEIOPADRAO )
/

ALTER TABLE RATFISTPOPERAC
   ADD CONSTRAINT FKFIS00790RATEIOPADRAOFIS FOREIGN KEY ( CDRATEIOPADRAO )
      REFERENCES RATEIOPADRAOFIS ( CDRATEIOPADRAO ) ON DELETE CASCADE
/
	  
CREATE TABLE RATFISCFOPPADRAO (
  CDCFOPPADRAO       VARCHAR2(10) NOT NULL, 
  CDRATEIOPADRAO     VARCHAR2(4) NOT NULL, 
  IDENTRSAIDOP       VARCHAR2(1) DEFAULT 'S' NOT NULL  
     CONSTRAINT CKC_IDENTRSAIDOP_RATFISCFOPPAD CHECK ( IDENTRSAIDOP IN ( 'E', 'S' )), --'Entrada' 'Saida', 
  NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_RATFISCFOPPADRAO CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO         DATE,
  DTULTATU           DATE,
  NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
  NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERULTATU       VARCHAR2(12),
  CONSTRAINT PK_RATFISCFOPPADRAO       PRIMARY KEY ( CDCFOPPADRAO, CDRATEIOPADRAO ) 
)
/

CREATE INDEX FIS00791_FK ON RATFISCFOPPADRAO (CDCFOPPADRAO)
/

ALTER TABLE RATFISCFOPPADRAO
   ADD CONSTRAINT FKFIS00791CFOPPADRAO FOREIGN KEY ( CDCFOPPADRAO )
      REFERENCES CFOPPADRAO ( CDCFOPPADRAO )
/
	
CREATE INDEX FIS00792_FK ON RATFISCFOPPADRAO ( CDRATEIOPADRAO )
/

ALTER TABLE RATFISCFOPPADRAO
   ADD CONSTRAINT FKFIS00792RATEIOPADRAOFIS FOREIGN KEY ( CDRATEIOPADRAO )
   REFERENCES RATEIOPADRAOFIS ( CDRATEIOPADRAO ) ON DELETE CASCADE
/
	 
CREATE TABLE RATFISPRODUTO (
  CDPRODUTO          VARCHAR2(10) NOT NULL, 
  CDRATEIOPADRAO     VARCHAR2(4) NOT NULL, 
  IDENTRSAIDOP       VARCHAR2(1) NOT NULL
     CONSTRAINT CKC_IDENTRSAIDOP_RATFISPRODUTO CHECK ( IDENTRSAIDOP IN ( 'E', 'S' )),  
  NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL
      CONSTRAINT CKC_IDATIVO_RATFISPRODUTO CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO         DATE,
  DTULTATU           DATE,
  NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
  NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
  CDOPERULTATU       VARCHAR2(12),
  CONSTRAINT PK_RATFISPRODUTO  PRIMARY KEY ( CDPRODUTO, CDRATEIOPADRAO, IDENTRSAIDOP )
)
/

CREATE INDEX FIS00793_FK ON RATFISPRODUTO ( CDPRODUTO )
/

ALTER TABLE RATFISPRODUTO
   ADD CONSTRAINT FKFIS00793PRODUTO FOREIGN KEY ( CDPRODUTO )
      REFERENCES PRODUTO ( CDPRODUTO)
/

CREATE INDEX FIS00794_FK ON RATFISPRODUTO ( CDRATEIOPADRAO )
/

ALTER TABLE RATFISPRODUTO
   ADD CONSTRAINT FKFIS00795RATEIOPADRAOFIS FOREIGN KEY ( CDRATEIOPADRAO )
      REFERENCES RATEIOPADRAOFIS ( CDRATEIOPADRAO ) ON DELETE CASCADE
/
																								

ALTER TABLE IMPOSTONFE ADD CDCONTAJCRED VARCHAR2(20) NULL
/

ALTER TABLE IMPOSTONFE ADD CDCONTAJDEB VARCHAR2(20) NULL
/

ALTER TABLE IMPOSTONFE ADD CDCONTRECOL VARCHAR2(20) NULL
/

ALTER TABLE IMPOSTONFE ADD IDCONTCTBL VARCHAR2(1) DEFAULT 'N' NULL
   CONSTRAINT CKC_IDCONTCTBL_PADRAO CHECK (IDCONTCTBL IN ('S','N'))
/

ALTER TABLE IMPOSTONFE ADD CDCONTRATEIO VARCHAR2(20) NULL
/

CREATE INDEX FIS00796_FK ON IMPOSTONFE(CDCONTAJCRED ASC)
/

ALTER TABLE IMPOSTONFE
   ADD CONSTRAINT FKFIS00796CONTCTBL FOREIGN KEY (CDCONTAJCRED)
      REFERENCES CONTCTBL (CDCONTCTBL)
/				

CREATE INDEX FIS00797_FK ON IMPOSTONFE(CDCONTAJDEB ASC)
/

ALTER TABLE IMPOSTONFE
   ADD CONSTRAINT FKFIS00797CONTCTBL FOREIGN KEY (CDCONTAJDEB)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00798_FK ON IMPOSTONFE(CDCONTRECOL ASC)
/

ALTER TABLE IMPOSTONFE
   ADD CONSTRAINT FKFIS00798CONTCTBL FOREIGN KEY (CDCONTRECOL)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00799_FK ON IMPOSTONFE(CDCONTRATEIO ASC)
/

ALTER TABLE IMPOSTONFE
   ADD CONSTRAINT FKFIS00799RATEIOPADRAOFIS FOREIGN KEY (CDCONTRATEIO)
      REFERENCES RATEIOPADRAOFIS (CDRATEIOPADRAO)
/

CREATE TABLE PARAMAJUSTE(
	NRSEQPARAMAJUSTE VARCHAR2(10) NOT NULL, 
	IDTPAJUSTE    VARCHAR2(3) DEFAULT 'OD' NOT NULL
	   CONSTRAINT CKC_IDTPAJUSTE_PARAMAJUSTE CHECK (IDTPAJUSTE IN ('AC','ADB','ADI','ARB','DA','DD','DE','EC','ED','OC','OD','RC','RDI')),
	NMAJUSTE      VARCHAR2(50) NOT NULL,
	CDIMPOSTONFE  VARCHAR2(20) NOT NULL,
	CDCONTAJCRED  VARCHAR2(20),
	CDCONTAJDEB   VARCHAR2(20),
	CDCONTRECOL   VARCHAR2(20),
	IDCONTCTBL    VARCHAR2(1) DEFAULT 'N' NOT NULL
	   CONSTRAINT CKC_IDCONTCTBL_PARAMAJUSTE CHECK (IDCONTCTBL IN ('S','N')),
	CDCONTRATEIO  VARCHAR2(20),
	NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL	  
      CONSTRAINT CKC_IDATIVO_PARAMAJUSTE CHECK (IDATIVO IN ('S','N')),	
	DTINCLUSAO         DATE,
	DTULTATU           DATE,
	NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
	CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
	NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
	CDOPERULTATU       VARCHAR2(12),
	CONSTRAINT PK_PARAMAJUSTE PRIMARY KEY (NRSEQPARAMAJUSTE),
	CONSTRAINT UN_PARAMAJUSTE UNIQUE (CDIMPOSTONFE, IDTPAJUSTE)
)
/

CREATE INDEX FIS00800_FK ON PARAMAJUSTE(CDCONTAJCRED ASC)
/

ALTER TABLE PARAMAJUSTE
   ADD CONSTRAINT FKFIS00800CONTCTBL FOREIGN KEY (CDCONTAJCRED)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00801_FK ON PARAMAJUSTE(CDCONTAJDEB ASC)
/

ALTER TABLE PARAMAJUSTE
   ADD CONSTRAINT FKFIS00801CONTCTBL FOREIGN KEY (CDCONTAJDEB)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00802_FK ON PARAMAJUSTE(CDCONTRECOL ASC)
/

ALTER TABLE PARAMAJUSTE
   ADD CONSTRAINT FKFIS00802CONTCTBL FOREIGN KEY (CDCONTRECOL)
      REFERENCES CONTCTBL (CDCONTCTBL)
/	  

CREATE INDEX FIS00803_FK ON PARAMAJUSTE(CDCONTRATEIO ASC)
/

ALTER TABLE PARAMAJUSTE
   ADD CONSTRAINT FKFIS00803RATEIOPADRAOFIS FOREIGN KEY (CDCONTRATEIO)
      REFERENCES RATEIOPADRAOFIS (CDRATEIOPADRAO)
/


   INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('00','DA','Diferencial de Aliquota',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('80','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('80','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('80','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('80','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('10','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('31','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('85','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('90','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('20','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('40','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('75','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('30','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('36','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('01','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
    /	  
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('24','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('03','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('21','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('26','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('35','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('41','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('22','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('32','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('33','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('43','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('02','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('05','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('06','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('56','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('66','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('55','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','OD','Outros Debitos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','EC','Estorno Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','OC','Outros Creditos',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','ED','Estorno Debito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('65','DE','Debito Especial',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','AC','Ajuste de Acrescimo Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','RC','Ajuste de Reducao Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','ADI','Ajuste de Acrescimo Debito - Valor do Imposto',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','RDI','Ajuste de Reducao Debito - Valor do Imposto',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','ADB','Ajuste de Acrescimo Debito - Valor da Base',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','ARB','Ajuste de Reducao Debito - Valor da Base',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('50','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','AC','Ajuste de Acrescimo Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','RC','Ajuste de Reducao Credito',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','ADI','Ajuste de Acrescimo Debito - Valor do Imposto',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','RDI','Ajuste de Reducao Debito - Valor do Imposto',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','ADB','Ajuste de Acrescimo Debito - Valor da Base',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','ARB','Ajuste de Reducao Debito - Valor da Base',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
	INSERT INTO PARAMAJUSTE
	  (CDIMPOSTONFE, IDTPAJUSTE, NMAJUSTE, NRSEQPARAMAJUSTE)
	VALUES
	  ('60','DD','Deducao',(SELECT NVL(MAX(TO_NUMBER(NRSEQPARAMAJUSTE)),0)+1 FROM PARAMAJUSTE))
	/
											
CREATE TABLE PARAMCODAJUS(
	CODAJUSTE    VARCHAR2(15) NOT NULL,
	CDIMPOSTONFE  VARCHAR2(20) NOT NULL,
	CDCONTAJCRED  VARCHAR2(20),
	CDCONTAJDEB   VARCHAR2(20),
	CDCONTRECOL   VARCHAR2(20),
	IDCONTCTBL    VARCHAR2(1) CONSTRAINT CKC_IDCONTCTBL_PARAMCODAJUS CHECK (IDCONTCTBL IN ('S','N')),
	CDCONTRATEIO  VARCHAR2(20),
	NRORG              NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,	
	IDATIVO            VARCHAR2(1)  DEFAULT 'S' NOT NULL	  
      CONSTRAINT CKC_IDATIVO_PARAMCODAJUS CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO         DATE,
	DTULTATU           DATE,
	NRORGINCLUSAO      NUMBER       DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
	CDOPERINCLUSAO     VARCHAR2(12) DEFAULT '1',
	NRORGULTATU        NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg'),
	CDOPERULTATU       VARCHAR2(12),
	CONSTRAINT PK_PARAMCODAJUS PRIMARY KEY (CDIMPOSTONFE, CODAJUSTE, NRORG)
	)
/

CREATE INDEX FIS00804_FK ON PARAMCODAJUS(CDCONTAJCRED ASC)
/

ALTER TABLE PARAMCODAJUS
   ADD CONSTRAINT FKFIS00804CONTCTBL FOREIGN KEY (CDCONTAJCRED)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00805_FK ON PARAMCODAJUS(CDCONTAJDEB ASC)
/

ALTER TABLE PARAMCODAJUS
  ADD CONSTRAINT FKFIS00805CONTCTBL FOREIGN KEY (CDCONTAJDEB)
     REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00806_FK ON PARAMCODAJUS(CDCONTRECOL ASC)
/

ALTER TABLE PARAMCODAJUS
   ADD CONSTRAINT FKFIS00806CONTCTBL FOREIGN KEY (CDCONTRECOL)
      REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX FIS00807_FK ON PARAMCODAJUS(CDCONTRATEIO ASC)
/

ALTER TABLE PARAMCODAJUS
   ADD CONSTRAINT FKFIS00807RATEIOPADRAOFIS FOREIGN KEY (CDCONTRATEIO)
      REFERENCES RATEIOPADRAOFIS (CDRATEIOPADRAO)
/